import { FC, ReactNode } from 'react';
import { SnackbarProps } from '@equinor/eds-core-react';
interface ShowSnackbarSettings {
    customProps?: SnackbarProps;
    action?: {
        text: string;
        handler: () => void;
        disabled?: boolean;
    };
}
export interface State {
    showSnackbar: (text: string, props?: ShowSnackbarSettings) => void;
    setActionDisabledState: (disabled: boolean) => void;
    hideSnackbar: () => void;
}
export declare const useSnackbar: () => State;
export type SnackbarProviderProps = {
    children: ReactNode;
} & SnackbarProps;
export declare const SnackbarProvider: FC<SnackbarProviderProps>;
export {};
