import { IconData } from '@equinor/eds-icons';
type Placement = 'top' | 'top-start' | 'top-end' | 'bottom' | 'bottom-start' | 'bottom-end' | 'right' | 'right-start' | 'right-end' | 'left' | 'left-start' | 'left-end';
interface Tooltip {
    title: string;
    placement: Placement | string;
}
interface Toggle {
    icon: IconData;
    onClick?: () => void;
    tooltip?: Tooltip;
}
export interface IconToggleButtonProps {
    initialState?: boolean;
    toggleOn: Toggle;
    toggleOff: Toggle;
    onClick?: (toggle: boolean) => void;
}
/**
 * @deprecated Being deprecated from amplify-component-lib move into app if you want the implementation
 */
declare const IconToggleButton: import("react").ForwardRefExoticComponent<IconToggleButtonProps & import("react").RefAttributes<HTMLButtonElement>>;
export default IconToggleButton;
