import{jsxs as e,jsx as i}from"react/jsx-runtime";import{useState as t,useMemo as o}from"react";import{Card as r,Typography as n,Autocomplete as a,Button as s,Icon as l}from"@equinor/eds-core-react";import{arrow_forward as d}from"@equinor/eds-icons";import{tokens as c}from"../../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import"../../../atoms/style/colors.js";import{spacings as m}from"../../../atoms/style/spacings.js";import p from"styled-components";const{elevation:h,colors:u,shape:g}=c,f=p(r)`
  position: absolute;
  left: 50%;
  top: 50%;
  max-height: 60vh;
  min-height: 150px;
  transform: translate(-50%, -50%);
  width: 25rem;
  height: auto;
  padding: ${m.large};
  box-shadow: ${h.above_scrim};
  border-radius: ${g.corners.borderRadius};
  display: flex;
  flex-direction: column;
  gap: ${m.large};
  > h3 {
    color: ${u.text.static_icons__default.rgba};
  }
  > div {
    display: flex;
    flex-direction: column;
    gap: ${m.large};
    section {
      display: grid;
      grid-template-columns: 1fr auto;
      align-items: flex-end;
      grid-gap: ${m.medium};
    }
  }
`,b=p.div`
  * {
    background: none !important;
    color: ${u.text.static_icons__default.rgba};
  }
  *:focus-within {
    outline: none !important;
  }
  input:focus {
    box-shadow: inset 0 -2px ${u.interactive.primary__resting.rgba};
  }
`,x=p.div`
  display: flex;
  flex-direction: column;
  gap: ${m.small};
  > h6 {
    text-transform: capitalize;
  }
`,v=p.a`
  padding: ${m.small} ${m.medium};
  transition: background-color 200ms ease;
  font-size: 14px;
  line-height: 16px;
  font-weight: 500;
  border-radius: ${g.corners.borderRadius};
  text-decoration: none;
  &:visited {
    color: inherit;
  }
  &:focus-within {
    outline: ${u.interactive.primary__resting.rgba} dashed 2px;
  }
  &:active {
    outline: 0;
    background-color: ${u.interactive.primary__selected_highlight.rgba};
  }
  &:hover {
    background-color: ${u.interactive.primary__hover_alt.rgba};
    cursor: pointer;
  }
`,_=({availableFields:r,onSelect:c,showAccessITLink:m=!0})=>{const[p,h]=t(),u=o((()=>{const e=[];for(const i of r)i.name?e.push(i):console.error("Field with no name found!:",i);return e}),[r]);return e(f,{children:[i(n,{variant:"h3",children:"Please select a field"}),e("div",{children:[e("section",{children:[i(b,{children:i(a,{autoWidth:!0,options:u,label:"",placeholder:"Select a field",onOptionsChange:e=>{h(e.selectedItems[0])},optionLabel:e=>e.name})}),i(s,{"data-testid":"nextButton",variant:"contained_icon",disabled:void 0===p,onClick:()=>{void 0!==p&&c(p)},children:i(l,{data:d})})]}),m&&e(x,{children:[i(n,{variant:"overline",children:"Missing a field?"}),i(v,{tabIndex:0,"data-testid":"missing-access",href:"https://accessit.equinor.com/#",target:"_blank",children:"Go to AccessIT"})]})]})]})};export{_ as SelectorCard};
